<%@ page language="C#" autoeventwireup="true" codefile="Default.aspx.cs" inherits="WindowTest_Default" %>

<%@ register assembly="RadWindow.Net2" namespace="Telerik.WebControls" tagprefix="radW" %>
<%@ register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:scriptmanager id="ScriptManager" runat="server">
            </asp:scriptmanager>
            <radw:radwindowmanager id="RadWindowManager1" runat="server" 
                behavior="Close, Minimize, Maximize, Move" >
            </radw:radwindowmanager>
            
            <asp:button id="ButtonAddDock" runat="server" onclick="ButtonAddDock_Click" text="Add Dock" />
            <asp:button id="ButtonPostback" runat="server" text="Make Postback" />
            <br />
            <br />
            <telerik:raddocklayout id="RadDockLayout1" runat="server" onloaddocklayout="RadDockLayout1_LoadDockLayout"
                onsavedocklayout="RadDockLayout1_SaveDockLayout">
                <telerik:raddockzone id="RadDockZone1" runat="server" minheight="200" style="float: left;
                    margin-right: 20px;" width="300">
                </telerik:raddockzone>
                <telerik:raddockzone id="RadDockZone2" runat="server" minheight="200" style="float: left;"
                    width="300">
                </telerik:raddockzone>
                <div style="display: none">
                    Hidden UpdatePanel, which is used to receive the new dock controls. We will move
                    them with script to the desired initial dock zone.
                    <asp:updatepanel id="UpdatePanel1" runat="server">
                        <triggers>
                            <asp:asyncpostbacktrigger controlid="ButtonAddDock" eventname="Click" />
                        </triggers>
                    </asp:updatepanel>
                </div>
            </telerik:raddocklayout>
            <script type="text/javascript">
            var currentDockID;
            var isServerCommandExecute = false;
            
            function confirmCallBackFn(arg)
            {
                  alert("Confirm returned the following result: " + arg);
                  var dock = $find(currentDockID);
                  if(arg == true)
                  {
                    isServerCommandExecute = true;
                    dock._commands.Close.onCommand();
                  }
                  
                  else
                  {
                    isServerCommandExecute = false;
                    dock.get_element().style.display = "";
                  }
              
            }
            
            function promptCallBackFn(arg)
            {
              alert ("Prompt returned the following result: " + arg);
            }             
            
            function OnClientCommand(dock, args)
            {
                if(args.Command.get_Name() == "Close")
                {
                    dock.get_element().style.display = "";
                    if(!isServerCommandExecute)
                    {
                        args.set_cancel(true);
                        currentDockID = dock.get_id(); 
                        radconfirm('Are you sure?!', confirmCallBackFn, 330, 100);
                    }
                     isServerCommandExecute = false;
                }
            }                       
            </script>

        </div>
    </form>
</body>
</html>
